Bug 440465 - the wait command in csh is not interruptible
the wait command in csh is not interruptible
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: tcsh (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Vojtech Vitek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-03 13:29 EDT by Peter Staubach
Modified: 2015-03-04 18:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-18 05:47:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (1.28 KB, patch)
2010-11-26 06:18 EST, Vojtech Vitek
no flags Details | Diff

  None (edit)
Description Peter Staubach 2008-04-03 13:29:11 EDT
Description of problem:

The built-in command, "wait", in csh should be interruptible if the
shell is considered to be an interactive shell.  It does not appear
to be interruptible, either by SIGINT or by SIGCLD as each child
exits.

Version-Release number of selected component (if applicable):


How reproducible:

Run something in the background.  Type wait.

Steps to Reproduce:
1. sleep 60 &
2. wait
3. ^C
  
Actual results:

When ^C is typed, nothing visibly happens.


Expected results:

When ^C is typed, the shell should stop waiting and return to reading
input.

Additional info:

Another aspect of this signals problem is that if there are multiple
background processes being waited for, a status line should be printed
when each exits, as opposed to waiting until all have exited and then
printing the status lines.
Comment 1 Bug Zapper 2008-05-14 04:37:44 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-06-09 19:59:23 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Vitezslav Crhonek 2010-01-11 10:04:00 EST
Changing to F-12, the issue is still present.
Comment 5 Fedora Admin XMLRPC Client 2010-11-01 07:16:33 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Bug Zapper 2010-11-04 07:58:00 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Vojtech Vitek 2010-11-04 10:48:25 EDT
Changing to current Fedora rawhide, the issue is still valid.
Comment 8 Vojtech Vitek 2010-11-26 06:18:49 EST
Created attachment 463063 [details]
Proposed patch

Will be sent to upstream.
Comment 9 Vojtech Vitek 2010-12-02 06:42:14 EST
I have submitted the patch to upstream:
http://bugs.gw.com/view.php?id=109
Comment 10 Vojtech Vitek 2011-01-04 10:27:17 EST
Fixed in current rawhide build - tcsh-6.17-10.fc15.
Comment 11 Vojtech Vitek 2011-01-18 05:47:02 EST
The patch has been accepted by upstream (6.17.03b).
Comment 12 Fedora Update System 2011-01-25 11:27:29 EST
tcsh-6.17-9.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/tcsh-6.17-9.fc14
Comment 13 Fedora Update System 2011-01-25 11:51:58 EST
tcsh-6.17-7.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/tcsh-6.17-7.fc13
Comment 14 Fedora Update System 2011-01-26 10:49:31 EST
tcsh-6.17-10.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/tcsh-6.17-10.fc14
Comment 15 Fedora Update System 2011-01-26 10:57:47 EST
tcsh-6.17-8.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/tcsh-6.17-8.fc13
Comment 16 Fedora Update System 2011-01-28 07:28:35 EST
tcsh-6.17-11.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/tcsh-6.17-11.fc14
Comment 17 Fedora Update System 2011-01-28 07:36:27 EST
tcsh-6.17-9.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/tcsh-6.17-9.fc13
Comment 18 Fedora Update System 2011-02-07 14:52:19 EST
tcsh-6.17-9.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2011-02-07 14:56:48 EST
tcsh-6.17-11.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.